#
# spec file for package wxWidgets-3_0-docs
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wxWidgets-3_0-docs
Version:        3.0.5
Release:        1.10
Summary:        wxWidgets Documentation
License:        GPL-2.0-or-later
Group:          Documentation/HTML
URL:            https://wxwidgets.org/
Source:         https://github.com/wxWidgets/wxWidgets/releases/download/v%{version}/wxWidgets-%{version}-docs-html.tar.bz2
Source2:        wxWidgets-3_0-docs-rpmlintrc
BuildRequires:  fdupes
Provides:       wxWidgets-docs = %{version}-%{release}
BuildArch:      noarch

%description
This package contains wxWidgets documentation in HTML format.

%prep
%setup -q -n wxWidgets-%{version}-docs-html

%build

%install
mkdir -p %{buildroot}%{_docdir}/wxWidgets-3_0
cp -r . %{buildroot}%{_docdir}/wxWidgets-3_0
%fdupes %{buildroot}%{_prefix}

%files
%{_docdir}/wxWidgets-3_0/

%changelog
* Mon Jan  4 2021 Antoine Belvire <antoine.belvire@opensuse.org>
- Update to new upstream release 3.0.5:
  * There is no separate changelog for the documentation part;
    please see the changelog(s) for wxWidgets-3_0-devel for details
    on library changes.
- Clean spec file.
* Mon Apr 16 2018 ecsos@opensuse.org
- Update to new upstream release 3.0.4
  * There is no separate changelog for the documentation part;
  please see the changelog(s) for wxWidgets-3_0-devel for details
  on library changes.
* Sun Jun  4 2017 ecsos@opensuse.org
- Update to new upstream release 3.0.3
  * There is no separate changelog for the documentation part;
  please see the changelog(s) for wxWidgets-3_0-devel for details
  on library changes.
- change source url to github
* Wed Aug 27 2014 jengelh@inai.de
- Update to new upstream release 3.0.1
  * There is no separate changelog for the documentation part;
  please see the changelog(s) for wxWidgets-3_0-devel for details
  on library changes.
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Fri Sep 27 2013 schwab@suse.de
- Avoid overlong argument list
* Mon Oct 29 2012 sbrabec@suse.cz
- Make the package parallel installable with wxWidgets-docs.
- Provide wxWidgets-3_0-docs for future compatibility.
* Thu Jul 19 2012 sbrabec@suse.cz
- Update to version 2.9.4.
* Tue Apr  3 2012 sbrabec@suse.cz
- Update to version 2.9.3.
- Use the upstream .tar.bz2.
* Thu Nov 11 2010 sbrabec@suse.cz
- Updated to version 2.9.1.
- Rename package to wxWidgets-docs to follow upstream.
- Split wxPython documentation to a separate package.
* Sun Aug 15 2010 termim@gmail.com
- Updated to version 2.8.11.0:
  * documents wxGTK version 2.8.11
* Tue Feb  9 2010 prusnak@suse.cz
- build as noarch
* Fri Aug  7 2009 sbrabec@suse.cz
- Updated to version 2.8.10.1:
  * documents wxGTK version 2.8.10
* Wed Sep  3 2008 sbrabec@suse.cz
- Updated to version 2.8.8.1:
  * documents wxGTK version 2.8.8
* Fri Mar 28 2008 sbrabec@suse.cz
- Updated to version 2.8.7.1:
  * documents wxGTK version 2.8.7
* Tue Oct  2 2007 sbrabec@suse.cz
- Updated to version 2.8.6.0:
  * documents wxGTK version 2.8.6
- Commented out NoSource to provide comfortable rebuild.
- Require exact wxGTK* version to prevent installation of outdated
  documentation.
* Mon Aug  7 2006 sbrabec@suse.cz
- Updated to version 2.6.3.3.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 sbrabec@suse.cz
- Updated to version 2.6.2.1.
* Tue Aug  2 2005 sbrabec@suse.cz
- Updated to version 2.6.1.0.
* Wed Apr 27 2005 mcihar@suse.cz
- update to 2.6.0.0
* Thu Nov 18 2004 mcihar@suse.cz
- update to 2.5.3.1
* Thu Nov  4 2004 ro@suse.de
- remove binary from noarch package
* Tue Aug 31 2004 mcihar@suse.cz
- update to 2.5.2.8
* Mon Aug 16 2004 mcihar@suse.cz
- update to 2.5.2.7
- dropped wxGTK examples
* Tue Apr 13 2004 mcihar@suse.cz
- update to 2.5.1.5
* Thu Mar 18 2004 mcihar@suse.cz
- remove backup files (bug #36350)
* Thu Oct 16 2003 mcihar@suse.cz
- updated to 2.4.2.4
- do not use root for build
* Tue Sep  2 2003 mcihar@suse.cz
- python-wxGTK-examples now requires also python modules that demo requires
* Wed Aug 20 2003 mcihar@suse.cz
- created new package that contains docs, demos and examples for wxGTK
  and python-wxGTK packages
